using System;
using Cute;

public class BattleStopChecker : NetworkBattleIntervalCheckerBase
{
	private const int JUDGE_RESULT_RETRY_TIMER = 95;

	public event Action OnBattleStop;

	public override void StopChecker()
	{
		base.StopChecker();
	}

	protected override void IntervalCheck()
	{
		base.IntervalCheck();
		if (NetworkUtility.GetTimeSpanSecond(base.startTick) >= 95)
		{
			this.OnBattleStop.Call();
			StartChecker();
		}
	}
}
